# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Wed Jun 30 17:04:37 2021
# ------------------------------------------------

package:
  name: conda
  version: 4.10.3
source:
  fn: conda-4.10.3.tar.gz
  patches:
    - gh9946_utf_16_replacement.patch
  sha256: 9e83bb20a6b9adc0bd7abccaa4738a71dc04e19a42dc51ad543539c15b2c941a
  url: https://github.com/conda/conda/archive/4.10.3.tar.gz
build:
  always_include_files:
    - bin/activate
    - bin/conda
    - bin/deactivate
  number: '0'
  string: py38h578d9bd_0
requirements:
  build: []
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.5.30 ha878542_0
    - certifi 2021.5.30 py38h578d9bd_0
    - conda-package-handling 1.7.3 py38h497a2fe_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_0
    - libffi 3.3 h58526e2_2
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
    - libstdcxx-ng 9.3.0 h6de172a_19
    - ncurses 6.2 h58526e2_4
    - openssl 1.1.1k h7f98852_0
    - pip 21.1.3 pyhd8ed1ab_0
    - python 3.8.10 h49503c6_1_cpython
    - python_abi 3.8 2_cp38
    - readline 8.1 h46c0cb4_0
    - ruamel_yaml 0.15.80 py38h497a2fe_1004
    - setuptools 49.6.0 py38h578d9bd_3
    - six 1.16.0 pyh6c4a22f_0
    - sqlite 3.36.0 h9cd32fc_0
    - tk 8.6.10 h21135ba_1
    - tqdm 4.61.1 pyhd8ed1ab_0
    - wheel 0.36.2 pyhd3deb0d_0
    - xz 5.2.5 h516909a_1
    - yaml 0.2.5 h516909a_0
    - zlib 1.2.11 h516909a_1010
  run:
    - conda-package-handling >=1.3.0
    - pycosat >=0.6.3
    - pyopenssl >=16.2.0
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - requests >=2.18.4,<3
    - ruamel_yaml >=0.11.14,<0.16
    - setuptools >=31.0.1
  run_constrained:
    - conda-build >=3
    - conda-env >=2.6
    - cytoolz >=0.8.1
test:
  commands:
    - unset CONDA_SHLVL
    - eval "$(python -m conda shell.bash hook)"
    - conda activate base
    - export PYTHON_MAJOR_VERSION=$(python -c "import sys; print(sys.version_info[0])")
    - export TEST_PLATFORM=$(python -c "import sys; print('win' if sys.platform.startswith('win')
      else 'unix')")
    - export PYTHONHASHSEED=$(python -c "import random as r; print(r.randint(0,4294967296))")
      && echo "PYTHONHASHSEED=$PYTHONHASHSEED"
    - env | sort
    - conda info
    - conda create -y -p ./built-conda-test-env
    - conda activate ./built-conda-test-env
    - echo $CONDA_PREFIX
    - '[ "$CONDA_PREFIX" = "$PWD/built-conda-test-env" ] || exit 1'
    - conda deactivate
  downstreams: null
  files:
    - test_conda.sh
  imports:
    - conda
    - conda_env
  requires:
    - mock
    - pexpect
    - pytest
    - responses
  source_files:
    - conftest.py
    - setup.cfg
    - tests
about:
  description: 'Conda is an open source package management system and environment
    management system for installing multiple versions of software packages and their
    dependencies and switching easily between them. It works on Linux, OS X and Windows,
    and was created for Python programs but can package and distribute any software.

    '
  dev_url: https://github.com/conda/conda
  doc_url: https://conda.io/projects/conda/en/latest/
  home: https://conda.io
  license: BSD-3-Clause
  license_file: LICENSE.txt
  summary: OS-agnostic, system-level binary package and environment manager.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - isuruf
    - jakirkham
    - jezdez
    - kalefranz
    - mbargull
    - mcg1969
    - mingwandroid
    - msarahan
    - mwcraig
    - ocefpaf
    - patricksnape
    - pelson
    - scopatz
